aboutsummaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
authortcely <tcely@users.noreply.github.com>2019-04-10 18:56:04 -0400
committerKevin Daudt <kdaudt@alpinelinux.org>2019-04-14 21:49:56 +0000
commitc0402d3170d50180b7ec3ada92c0bc97761356d4 (patch)
treeef3e33e89ce10686564c33b80684ec373aef167f /testing
parent8cac6ceaf00cc79306f07da5d116a1943608e4de (diff)
downloadaports-c0402d3170d50180b7ec3ada92c0bc97761356d4.tar.bz2
aports-c0402d3170d50180b7ec3ada92c0bc97761356d4.tar.xz
testing/log4cplus: cat testsuite.log
Diffstat (limited to 'testing')
-rw-r--r--testing/log4cplus/APKBUILD9
1 files changed, 8 insertions, 1 deletions
diff --git a/testing/log4cplus/APKBUILD b/testing/log4cplus/APKBUILD
index ff439b2d5a..c20d5a1f2a 100644
--- a/testing/log4cplus/APKBUILD
+++ b/testing/log4cplus/APKBUILD
@@ -12,6 +12,7 @@ arch="all"
license="Apache-2.0"
depends=""
depends_dev=""
+checkdepends="findutils"
makedepends="$depends_dev"
install=""
subpackages="$pkgname-dev"
@@ -32,9 +33,15 @@ build() {
make
}
+_cat_found_file() {
+ local _rc="$?"
+ find -name "$1" -type f -ls -printf '%P {{{\n' -exec cat -v -n '{}' ';' -printf '}}} %P\n'
+ return "$_rc"
+}
+
check() {
cd "$builddir"
- make check
+ make check || _cat_found_file testsuite.log
}
package() {